Page MenuHomeFreeBSD

arm64: Connect bhyve and libvmmapi to the build
AcceptedPublic

Authored by markj on Sep 5 2023, 6:19 PM.
Tags
None
Referenced Files
Unknown Object (File)
Dec 24 2023, 10:58 PM
Unknown Object (File)
Dec 21 2023, 10:09 PM
Unknown Object (File)
Dec 11 2023, 4:31 AM
Unknown Object (File)
Nov 19 2023, 12:13 PM
Unknown Object (File)
Nov 6 2023, 3:17 AM
Unknown Object (File)
Oct 30 2023, 12:46 AM
Unknown Object (File)
Oct 28 2023, 2:10 AM
Unknown Object (File)
Oct 28 2023, 2:08 AM
Subscribers

Details

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Skipped
Unit
Tests Skipped
Build Status
Buildable 54209
Build 51099: arc lint + arc unit

Event Timeline

markj requested review of this revision.Sep 5 2023, 6:19 PM

Also need an update to tools/build/options/WITHOUT_BHYVE it looks like
I'm not sure why bhyve was done the way it was though, rather than having MK_BHYVE default be set based on arch.

Update the src.conf.5 description for WITH_BHYVE.

This revision is now accepted and ready to land.Sep 5 2023, 6:40 PM

I still have a couple of WIP patches: one to update the bhyve man page a bit, and another to update option parsing and usage strings. There are quite a few further TODOs: gdb support, PCI passthrough support, ACPI support. I've started working on the gdb stub in the background.

I still have a couple of WIP patches: one to update the bhyve man page a bit, and another to update option parsing and usage strings.

Yeah, I assumed this change will go in towards the end of the series, but it looks good to me when you're ready to push it.

The change to usr.sbin/Makefile.aarch64 no longer applies following commit 773606fcdfae00a3f850bcd39969a63d9a8fb129.
I'm probably missing something since I'm just catching up with this work, but 'make buildworld' fails in usr.sbin/bhyve:

===> usr.sbin/bhyve (includes)
make[4]: "/home/bcran/src/usr.sbin/bhyve/Makefile" line 68: Could not find aarch64/Makefile.inc
make[4]: Fatal errors encountered -- cannot continue
make[4]: stopped in /home/bcran/src/usr.sbin/bhyve
This revision now requires review to proceed.Oct 30 2023, 1:16 PM
This revision is now accepted and ready to land.Oct 30 2023, 2:12 PM

I've just applied the latest version of this patch but it's still looking for aarch64/Makefile.inc both during a "make buildworld" and a "make" in usr.sbin/bhyve on my Ampere system:

bcran@gluon:~/src/freebsd/usr.sbin/bhyve % make
make: "/home/bcran/src/freebsd/usr.sbin/bhyve/Makefile" line 68: Could not find aarch64/Makefile.inc
make: Fatal errors encountered -- cannot continue
make: stopped in /home/bcran/src/freebsd/usr.sbin/bhyve

I've just applied the latest version of this patch but it's still looking for aarch64/Makefile.inc both during a "make buildworld" and a "make" in usr.sbin/bhyve on my Ampere system:

bcran@gluon:~/src/freebsd/usr.sbin/bhyve % make
make: "/home/bcran/src/freebsd/usr.sbin/bhyve/Makefile" line 68: Could not find aarch64/Makefile.inc
make: Fatal errors encountered -- cannot continue
make: stopped in /home/bcran/src/freebsd/usr.sbin/bhyve

This is just one patch of a few that are required: see the "stack" tab. The full patch series is available at https://github.com/markjdb/freebsd/tree/bhyvearm64-upstream